"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeDeclarationFilter = void 0;
const typing_1 = require("../../typings/typing");
/**
 * This function defines a filter which attempts to generate the type declaration
 * for a given schema.
 * @param schema The schema for which to generate the type declaration.
 * @returns The generated type declaration.
 */
function typeDeclaration(schema, extendedSchemas = [], options) {
    return (0, typing_1.generateTyping)(schema, { ...options, context: extendedSchemas }).typeDeclaration;
}
exports.typeDeclarationFilter = {
    name: 'typeDeclaration',
    function: typeDeclaration,
};
//# sourceMappingURL=typeDeclaration.js.map