/**
 * This function formats the path of an operation to an express path.
 * @param path The path of the operation.
 * @returns A valid express path.
 */
export function formatExpressPath(path) {
    return path.replace(/\{(.*?)\}/g, ':$1');
}
export const formatExpressPathFilter = {
    name: 'formatExpressPath',
    function: formatExpressPath,
};
//# sourceMappingURL=formatExpressPath.js.map